import { StorageEngine } from './storage';
export declare class SqlStorage extends StorageEngine {
    static BACKUP_LOCAL: number;
    static BACKUP_LIBRARY: number;
    static BACKUP_DOCUMENTS: number;
    private _db;
    constructor(options?: {});
    _getBackupLocation(dbFlag: number): number;
    _tryInit(): void;
    query(query: string, params?: any[]): Promise<any>;
    get(key: string): Promise<any>;
    set(key: string, value: string): Promise<any>;
    remove(key: string): Promise<any>;
    clear(): Promise<any>;
}
